(define default-buffer 0)

(define (install-scheme ())
  (gtk-editor-install-stable
   default-buffer
   '(("Scheme-comment" ";" "\n" #f
      "-adobe-courier-medium-i-normal-*-12-*-*-*-*-*-*-*"
      (65000 0 0) ())))
  
  (gtk-editor-install-patterns
   default-buffer
   '(("keywords" "\\b\\(define\\|if\\|and\\|or\\|set!?\\|let\\*?\\)\\b"
      "-adobe-courier-bold-r-normal-*-12-*-*-*-*-*-*-*"
      (40000 0 55000) ()))))

(define (search-and-replace from to)
  (gtk-editor-set-point default-buffer 0)
  (while (gtk-editor-search-from-point default-buffer from #t)
	 (gtk-editor-delete-selection default-buffer)
	 (gtk-editor-insert-string-at-point default-buffer to)))
